Subject: Re: [PATCH v3 0/7] sparse-checkout: add 'clean' command

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Sep 2025 09:12:55 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> NEW: This series is rebased on a recent master to remove dependence on the
> updates to the global variables used by the sparse-checkout system.
>
> When using cone-mode sparse-checkout, users specify which tracked
> directories they want (recursively) and any directory not part of the parent
> paths for those directories are considered "out of scope". When changing
> sparse-checkouts, there are a variety of reasons why these "out of scope"
> directories could remain, including:
>
>  * The user has .gitignore or .git/info/exclude files that tell Git to not
>    remove files of a certain type.
>  * Some filesystem blocker prevented the removal of a tracked file. This is
>    usually more of an issue on Windows where a read handle will block file
>    deletion.

The updated documentation was easeier to follow (even though I had a
"Huh?" moment with "Opportunistically" a bit).  Comparing with the
previous version (with my rebase to get rid of the dependence on the
other topic) and this one, I see a few more code paths have learned
to pass "struct repository *" pointers throughout the callchain,
which is very nice.

Will replace.  Thanks.